Subject: Virtual City Network update

From: [email-masked] (M. Strata Rose)
Date: Sun, 21 Nov 1993 22:30:27 -0800

Virtual City Network(tm) Status Report, 11/21/93

Greetings, in some cases long overdue.

If you are reading this directly (ie, not as a mailing list or netnews),
your mail has been received and you have been either added to the
virtual-citizens mailing list or preregistered for the Virtual City 
Network.  I apologize for the delay in acknowledging correspondence
from everyone.  Here is a brief status report:

Roughly a week after the initial announcement of Virtual City Network,
I took a supposedly short term (one month) systems architect contract to
generate income so that I could continue working on VCN.  This allegedly
3/4-time position quickly turned into a 1 and 1/4 time position and
will last until the first week of January.  This has resulted in most
of the substantive coding work on VCN being postponed in favor of 
design work which can be done offline, research and meetings
with various interested parties, business contacts, fellow researchers,
etc.

For the last few months, virtual.net has been occupying a corner of
a workroom at a friendly company and unofficially sharing a T1 net link.
Unfortunately for us, this firm is expanding and needs the space for
their own use.  I have been exploring various options for office space
and sharing network bandwidth to meet their deadline for moving the
system.

When the first of the recent sendmail bug announcements hit the
Internet, we had a breakin and I had to spend a substantial amount of
time going over the server to make sure nothing had been compromised.
Thursday morning I logged in as usual to find that we had
had *another* breakin on the server, this time much more serious than
the first.  Someone was allegedly using virtual-city.virtual.net as
a link in a chain of telnet sessions, ultimately ending up on IRC and
behaving offensively and objectionably.   I am still investigating this
incident.

Having two (or possibly more) crackers on the system within a 3 week
time period has been something of a last straw.  Since I had a hard
deadline of December 1st to move the system anyway, I took it offline
on Friday evening (Nov 19th).

At this point, the server is shut down and sitting in my livingroom.  I
will be bringing it up again in the next few days, and am arranging a
56K line to the house for access; right now we only have PPP 14.4Kbps 
service at home.  I am setting up an MX server so that mail to
virtual.net will continue to be delivered, that should be in place by
Tuesday evening.  Virtual-city.virtual.net is going to get a complete
system upgrade and security overhaul before it comes back online.

I will be installing a LISTSERV style mail handler for registration 
and automated handling of queries.  I will send an announcement when
the software is in place, probably sometime during the Thanksgiving
weekend.  I will not be turning on the virtual-citizens mailing list
until the LISTSERV is set up, as I cannot respond to add and delete
requests in a timely fashion while I am contracting on outside work.

Mail to virtual.net will not be working until the MX record and my
secondary server are both in place, so please send mail to me at either
of the following addresses:

[email-masked]
[email-masked]

Please continue to send me questions and suggestions, I will respond
to each and every one, albeit rather slowly.  Thanks for being patient.

Even though I won't be able to do much in the way of power coding
until early January, I have been getting a lot accomplished.
This thing has a lot of moving parts, so I'm doing comprehensive
design rather than hacking stuff together.  Once some of the low-level
stuff is actually coded and not just on paper we should hit critical
mass within a fairly short time and VCN will start living up to its 
potential.  I am hoping to open the service to City Builders and 
Freelance Architects in mid to late January.

New Year's Party in the Virtual City Plaza?  Could still 
happen, but probably not with most of the interactive multimedia
originally planned, we're running about a month or two behind.
But you never know, I'm looking into some great Tcl/Tk stuff that
may not be hard to get running in the short term, even with the
massive constraints on my time right now.  I will send out updates
as I know more, and invite all of you to test features as they
materialize.

I hope to make documentation available soon on the design of VCMTA and
the VCNCoreLib.  Right now I am pretty deep into designing the 
underlying structure of VCMTA, so I will be outsourcing a fair chunk
of the actual MOO hacking on the server structure.  At this point I
have design specs for various VCNCoreLib features (the built-in 'bot 
specs, Eliza handlers, etc) and am interested in contracting out
the actual implementation-- I am still a novice at low-level MOO 
coding and want to make sure this stuff is very clean and very solid!

I have some limited funding available for server hacking, especially
the load and unload core functions, so if you are an experienced MOO 
coder who would like to do some moonlighting, please contact me.  The
pay isn't great, but you'll be getting paid to write public-domain
MOO code that will be part of something Way Cool, and to potentially
co-author a paper on extensible server design that will be submitted
to a major VR conference next year.  Think of it as being a grad 
student at a non-accredited virtual university.  Not to mention
your name in virtual lights on the Marquee in every CityKit that 
goes out.  :-)

Those of you who have pet projects or ideas about facilities that should
be included in the Virtual City Network, please send me mail, especially
if you're interested in building them yourself and making them available
for others to use.  People who are interested in designing spaces in 
the city should start to design them on paper/in bits now so that they
can upload them easily once VCN opens.  We will be supporting HTML
documents as well as plain text for room descriptions, and will be 
setting up a Rogue's Gallery of players for browsing.  The Rogue's
Gallery will be accessible via Gopher and WWW as well-- you can work
on the text of your character's description and create GIF files of the
character, your planned virtual spaces, etc, right now and then have
them readily available to upload later.  Feel free to get started now!
Design your virtual spaces and the objects that should be in them, 
get busy on that artwork, and watch for more mail from us.

Closing the gap between Theorem Et Practicum,
_Strata

M. Strata Rose
Unix & Network Consultant, SysAdmin & Internet Information 
Virtual City Network
[email-masked] | [email-masked] | [email-masked]

[Virtual City Network is a trademark of VirtualNet and M. Strata Rose.]